#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <stdlib.h>
#include <inttypes.h>
#include <avr/eeprom.h>

#define PodType POD_TYPE_BUTTONS
#define POD_VAR_URL "http://pel.cs.byu.edu/~sorenson/Thesis/PODs/Buttons/"

#define CPU_FREQ 3646800

#include "PODDefines.h"
//#include "PODIncludes.h"

#include "Serial-Dual.h"

int Init()
{
   outb(DDRA, 0x00);
   outb(DDRB, 0x00);
   outb(DDRC, 0x00); /* all inputs */
   outb(DDRD, 0x00);

//   outb(PORTC, 0x0F); /* turn on pull-up resistors on the pins we care about */

   UART_Init(0, 23);
   UART_Init(1, 23);
   sei();
   return 0;
}

int main()
{
//   unsigned int Command;

   Init();

   while (1)
   {
   }
}
