#ifndef __SLEEP_H__
#define __SLEEP_H__

void SleepMode(char Idle)
{
   /* idle=0 - power down mode
    * idle=1 - idle mode
    * idle=2 - power save mode
   */
   if (Idle == 0) /* power down mode */
   {
      sbi(MCUCR, SM1);
      cbi(MCUCR, SM0);
   }
   else if (Idle == 2)
   {
      sbi(MCUCR, SM1);
      sbi(MCUCR, SM0);
   }
   else
   {
      cbi(MCUCR, SM1);
      cbi(MCUCR, SM0);
   }
   sbi(MCUCR, SE); /* enable sleep */
   asm volatile ("sleep"); /* idle mode */
}

#endif
