#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <stdlib.h>
#include <inttypes.h>
#include <avr/eeprom.h>

#include "Serial.h"

#define CPU_FREQ 3646800

#include "PODDefines.h"
//#include "PODIncludes.h"

int Init()
{
   outb(DDRA, 0x00);
   outb(DDRB, 0x00);
   outb(DDRC, 0x00); /* all inputs */
   outb(DDRD, 0x00);

//   outb(PORTC, 0x0F); /* turn on pull-up resistors on the pins we care about */

   UART_Init(23);
   sei();
   return 0;
}

int main()
{
//   unsigned int Command;

   Init();

   while (1)
   {
      UART_TransmitByte('A');
   }
}
